Skip to main content
GET
List monitored computers

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

complianceStatusFilterMatchesAny
enum<string>[]

Filters for monitored computers matching any status declared in the filter.

Enum representing computer compliance statuses that can be utilized as a filter. The meanings are as follows: AV_NOT_INSTALLED: The computer does not have antivirus software installed. HD_NOT_ENCRYPTED: The computer's harddrive is not encrypted. LAST_CHECK_OVER_14_DAYS: No data has been received from computer for over 14 days. PWM_NOT_INSTALLED: The computer does not have a password manager installed. SCREENLOCK_NOT_CONFIGURED: The computer does not have screenlock configured appropriately.

Available options:
PWM_NOT_INSTALLED,
HD_NOT_ENCRYPTED,
AV_NOT_INSTALLED,
SCREENLOCK_NOT_CONFIGURED,
LAST_CHECK_OVER_14_DAYS

Response

200 - application/json

Ok

results
object
required